﻿$geslo = Read-Host -AsSecureString -Prompt "Vpisi default geslo (npr. Geslo2020)"
Remove-LocalUser "janezn"
Remove-LocalUser "hugob"
Remove-LocalGroup "zaposleni"
rmdir C:\Skripte
rmdir C:\Rezultati


New-LocalUser -FullName "Janez Novak" -Name "janezn" -Password $geslo

New-LocalUser -FullName "Hugo Boss" -Name "hugob" -Password $geslo
Add-LocalGroupMember -Group "Administrators" -Member "hugob"


New-LocalGroup -Name "zaposleni"
Add-LocalGroupMember -Group "zaposleni" -Member "janezn"
Add-LocalGroupMember -Group "zaposleni" -Member "hugob"

mkdir C:\Rezultati
mkdir C:\Skripte


Get-Process s* | Sort-Object -Property Name > "C:\Rezultati\Procesi.txt"

Get-Service *s | select -Property Status, Name, DisplayName, StartType > "C:\Rezultati\Procesi delujoci.txt"

Invoke-Command -ComputerName "a23-99" -ScriptBlock { ipconfig.exe /all }

#Ukaz za uporabo modula
Import-Module C:\Skripte\mojmodul.psm1

$i = 0
foreach($line in Get-Content C:\imena.txt) {
    if ($i % 2 -eq 1) {
        Write-host $line
    }
    $i = $i + 1
}
Write-host "Stevilo vseh imen" $i